


XKILL(1)                 USER COMMANDS                   XKILL(1)



NAME
     xkill - kill a client by its X resource

SYNOPSIS
     xkill [-display displayname] [-id resource] [-button number]
     [-frame] [-all]

DESCRIPTION
     Xkill is a utility for forcing the X server to close connec-
     tions  to  clients.   This program is very dangerous, but is
     useful for aborting programs that have  displayed  undesired
     windows  on  a  user's screen.  If no resource identifier is
     given with -id, xkill will display a  special  cursor  as  a
     prompt  for  the user to select a window to be killed.  If a
     pointer button is pressed over a non-root window, the server
     will  close  its  connection  to the client that created the
     window.

OPTIONS
     -display displayname
             This option specifies the name of the  X  server  to
             contact.

     -id resource
             This option  specifies  the  X  identifier  for  the
             resource  whose  creator  is  to  be aborted.  If no
             resource is specified, xkill will display a  special
             cursor  with  which you should select a window to be
             kill.

     -button number
             This option specifies the number of  pointer  button
             that  should  be used in selecting a window to kill.
             If the word "any" is specified, any  button  on  the
             pointer  may  be used.  By default, the first button
             in the pointer map (which is  usually  the  leftmost
             button) is used.

     -all    This option indicates that  all  clients  with  top-
             level windows on the screen should be killed.  Xkill
             will ask you to select the root window with each  of
             the  currently  defined  buttons to give you several
             chances to abort.  Use  of  this  option  is  highly
             discouraged.

     -frame  This option indicates that xkill should  ignore  the
             standard  conventions  for  finding top-level client
             windows (which are typically nested inside a  window
             manager window), and simply believe that you want to
             kill direct children of the root.





X Version 11         Last change: Release 6                     1






XKILL(1)                 USER COMMANDS                   XKILL(1)



XDEFAULTS
     Button  Specifies a specific pointer button  number  or  the
             word "any" to use when selecting windows.

SEE ALSO
     X(1), xwininfo(1), XKillClient and XGetPointerMapping in the
     Xlib  Programmers  Manual,  KillClient  in  the  X  Protocol
     Specification

AUTHOR
     Jim Fulton, MIT X Consortium
     Dana Chee, Bellcore











































X Version 11         Last change: Release 6                     2



